Skip to main content
GET
List of Okta Credentials

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter
string
filter[id]
string
filter[state]
string
filter[integration_id]
string
filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

Response

The collection of OktaCredentialDetailedResponseData

id
string
required
Example:

"okcrd_01hq8xyzabc123def456ghi789"

integration_id
string
required

The ID of the Okta integration this credential belongs to

Example:

"okitg_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The current lifecycle state of the credential

Available options:
staged,
active,
expiring,
expired,
deactivated
Example:

"staged"

oauth2_auth_method
enum<string>
required

The OAuth2 authentication method

Available options:
client_secret,
private_key_jwt,
api_token
Example:

"client_secret"

oauth2_client_id
string
required

The OAuth2 client ID

oauth2_scopes
string[] | null
required

The OAuth2 scopes

notes
string | null
required

Optional notes

timestamp
TimestampStateData · object
required

The timestamps for the credential record

API hyperlinks related to the record